Package ej.microui.display

## Class Colors

- java.lang.Object
- - ej.microui.display.Colors

-     public final class Colors
      extends Object

  The interface `Colors` provides useful constants to handle RGB colors format.
  RGB colors format is as follow:
  | color's red level (`8-bit`) | color's green level (`8-bit`) | color's blue level ( `8-bit`) |

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BLACK` | Constant for black color.
    `static int` | `BLUE` | Constant for blue color.
    `static int` | `CYAN` | Constant for cyan color.
    `static int` | `GRAY` | Constant for gray color.
    `static int` | `GREEN` | Constant for green color.
    `static int` | `LIME` | Constant for lime color.
    `static int` | `MAGENTA` | Constant for magenta color.
    `static int` | `MAROON` | Constant for maroon color.
    `static int` | `NAVY` | Constant for navy color.
    `static int` | `OLIVE` | Constant for olive color.
    `static int` | `PURPLE` | Constant for purple color.
    `static int` | `RED` | Constant for red color.
    `static int` | `SILVER` | Constant for silver color.
    `static int` | `TEAL` | Constant for teal color.
    `static int` | `WHITE` | Constant for white color.
    `static int` | `YELLOW` | Constant for yellow color.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Colors()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLACK

          public static final int BLACK

      Constant for black color.
      See Also:
        Constant Field Values

    - #### BLUE

          public static final int BLUE

      Constant for blue color.
      See Also:
        Constant Field Values

    - #### CYAN

          public static final int CYAN

      Constant for cyan color.
      See Also:
        Constant Field Values

    - #### GRAY

          public static final int GRAY

      Constant for gray color.
      See Also:
        Constant Field Values

    - #### GREEN

          public static final int GREEN

      Constant for green color.
      See Also:
        Constant Field Values

    - #### LIME

          public static final int LIME

      Constant for lime color.
      See Also:
        Constant Field Values

    - #### MAGENTA

          public static final int MAGENTA

      Constant for magenta color.
      See Also:
        Constant Field Values

    - #### MAROON

          public static final int MAROON

      Constant for maroon color.
      See Also:
        Constant Field Values

    - #### NAVY

          public static final int NAVY

      Constant for navy color.
      See Also:
        Constant Field Values

    - #### OLIVE

          public static final int OLIVE

      Constant for olive color.
      See Also:
        Constant Field Values

    - #### PURPLE

          public static final int PURPLE

      Constant for purple color.
      See Also:
        Constant Field Values

    - #### RED

          public static final int RED

      Constant for red color.
      See Also:
        Constant Field Values

    - #### SILVER

          public static final int SILVER

      Constant for silver color.
      See Also:
        Constant Field Values

    - #### TEAL

          public static final int TEAL

      Constant for teal color.
      See Also:
        Constant Field Values

    - #### WHITE

          public static final int WHITE

      Constant for white color.
      See Also:
        Constant Field Values

    - #### YELLOW

          public static final int YELLOW

      Constant for yellow color.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Colors

          public Colors()